Summary: A library that performs asynchronous DNS operations
Name: c-ares
Version: 1.7.0
Release: 6%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://c-ares.haxx.se/
Source0: http://c-ares.haxx.se/c-ares-%{version}.tar.gz
Source1: LICENSE
Patch0: %{name}-1.7.0-optflags.patch
Patch1: 0001-Allow-the-use-of-IPv6-nameservers.patch
Patch2: c-ares-multilib.patch
Patch3: 0001-ares_init-Last-not-first-instance-of-domain-or-searc.patch
Patch4: 0001-Only-fall-back-to-AF_INET-searches-when-looking-for-.patch
Patch5: 0001-ares_parse_a_reply-fix-memleak.patch
Patch6: c-ares-1.7-missing-break.patch
Patch7: c-ares-1.7-sigbus.patch
Patch8: c-ares-enodata.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
c-ares is a C library that performs DNS requests and name resolves 
asynchronously. c-ares is a fork of the library named 'ares', written 
by Greg Hudson at MIT.

%package devel
Summary: Development files for c-ares
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files and static libraries needed to
compile applications or shared objects that use c-ares.

%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .ipv6
%patch2 -p1 -b .multilib
%patch3 -p1 -b .search
%patch4 -p1 -b .fallback
%patch5 -p1 -b .memleak
%patch6 -p1 -b .break
%patch7 -p1 -b .sigbus
%patch8 -p1 -b .enodata
cp %{SOURCE1} .
f=CHANGES ; iconv -f iso-8859-1 -t utf-8 $f -o $f.utf8 ; mv $f.utf8 $f

%build
%configure --enable-shared --disable-static \
           --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/libcares.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README README.cares CHANGES NEWS LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/ares.h
%{_includedir}/ares_build.h
%{_includedir}/ares_dns.h
%{_includedir}/ares_rules.h
%{_includedir}/ares_version.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcares.pc
%{_mandir}/man3/ares_*


%changelog

